import { ReactNode } from 'react';
import { SxProps, Theme } from '@mui/material';
export interface DrawerBaseProps {
    title?: ReactNode;
    disableButtonSubmit?: boolean;
    isLoadingButtonSubmit?: boolean;
    customAction?: React.ReactElement;
    onSubmit?: () => void;
    open: boolean;
    onClose?: () => void;
    otherNodes?: ReactNode;
    children: ReactNode;
    width?: string | number;
    childrenWrapperStyle?: SxProps<Theme>;
}
/**
 * Drawer không trả về state
 * @param{DrawerBaseProps} props
 * @returns
 */
declare const DrawerBase: (props: DrawerBaseProps) => import("react/jsx-runtime").JSX.Element;
export default DrawerBase;
