interface Props {
    onTriggered: (e: Event) => void;
    disableClick?: boolean;
    disableTouch?: boolean;
    disableKeys?: boolean;
    allowAnyKey?: boolean;
    triggerKeys?: string[];
}
/**
 * Hook used to detect clicks outside a component (or an escape key press). onTriggered function is triggered on `click`, `touch` or escape `keyup` event.
 *
 */
export declare function useDetectClickOutside({ onTriggered, disableClick, disableTouch, disableKeys, allowAnyKey, triggerKeys, }: Props): import("react").RefObject<null>;
export {};
