import { InputBaseProps } from '@mui/material/InputBase';
import { Modify } from 'Commons/Types';
export type SearchType = 'searchString' | 'id';
export type SearchBoxProps = Modify<InputBaseProps, {
    defaultValue?: string;
    includeSearchById?: boolean;
    onlyNumberString?: boolean;
    onSearch: (searchType: SearchType, searchString: string) => void;
    placeholderInput?: string;
    onClickAdvancedSearch?(): void;
    /** stylePaper => Style cho Paper của inputSearch */
    stylePaper?: object;
    /** variantPaper => Định dạng 'variant' cho Paper của inputSearch */
    variantPaper?: 'elevation' | 'outlined';
}>;
