import { DrawerBaseProps } from './ClassicBaseDrawer';
export interface ModalDrawerProps extends Omit<DrawerBaseProps, 'open'> {
    confirmExit?: boolean;
    confirmSave?: boolean;
    messageConfirmSave?: string;
    onSubmit?: () => Promise<any> | void;
    onClose?: () => void;
}
export declare const enum CloseAction {
    Reload = "Reload",
    Close = "Close",
    ReloadDirectory = "ReloadDirectory"
}
declare const DrawerWrapper: (props: ModalDrawerProps) => import("react/jsx-runtime").JSX.Element;
export default DrawerWrapper;
