import { type ReactNode } from 'react';
import type { TextFieldProps } from '@mui/material';
export interface EnhancedDialogProps {
    title?: string;
    label?: string;
    content?: ReactNode;
    isOpen: boolean;
    confirmExit?: boolean;
    notIncludeInput?: boolean;
    onSubmit?: (text: string) => void;
    onClose?: () => void;
    textFieldProps?: TextFieldProps;
}
declare const EnhancedDialog: (props: EnhancedDialogProps) => import("react/jsx-runtime").JSX.Element;
export default EnhancedDialog;
