declare global {
    interface Window {
        REACT_APP_API_ENDPOINT: string;
    }
}
export declare const Workspaces: {
    SYSTEM: string;
    ADMIN: string;
    ACM: string;
    AXM: string;
    CUSTOMER: string;
};
export declare const Constants: {
    API_ENDPOINT: string;
    ALL: string;
    SELECT_ALL: string;
    PAGE_INDEX_DEFAULT: number;
    PAGE_SIZE_DEFAULT: number;
    DEFAULT_ROWS_PER_PAGE: number[];
    PROFILE_PATH: string;
    USER_PROFILE_INFO: string;
    CLIENT_AUTHEN: {
        TOKEN_KEY: string;
        RETURN_URL_KEY: string;
        CLIENT_ID_KEY: string;
    };
    HOME_PATH: string;
    CREATE_PATH: string;
    CREATE_ALL_PATH: string;
    DETAIL_PATH: string;
    IMPORT_PATH: string;
    EDIT_PATH: string;
    CLONE_PATH: string;
    PAGE_LOGIN_PATH: string;
    PAGE_WELCOME_PATH: string;
    LOGIN_PATH: string;
    LOGOUT_PATH: string;
    DEBOUNCE_TIME: number;
    DEBOUNCE_TIME_500: number;
    DEBOUNCE_TIME_300: number;
};
