import { TreeItemOption } from './types';
/** Get root item for TreeView */
export declare const getRootItem: (items: TreeItemOption[]) => TreeItemOption | undefined;
/**
 * Phân tách path, path truyền vào phải đúng định dạng '.path.path.path.'
 * VD: '.12.22.1321.' => ['12', '22', '1321']
 */
export declare const getSplitPath: (path: string, space?: string) => string[];
export declare const getChildrentByParentPath: (items: TreeItemOption[], parentPath: string) => TreeItemOption[];
