export declare function formatNumberWithLanguage(num: number | bigint | undefined, language?: string): string;
export type BinaryTreeNode = {
    value: string;
    left?: BinaryTreeNode;
    right?: BinaryTreeNode;
};
/** Calculate Value  */
export declare function calculateValue(binary: BinaryTreeNode): number;
export declare function isOperator(token: string): boolean;
export declare function isOperand(token: string): boolean;
export declare function tokenize(formula: string): string[];
export declare function getPrecedence(operator: string): number;
export declare function convertToPostfix(infix: string): string[];
export declare function convertFormulaToBinaryTree(formula: string): BinaryTreeNode | undefined;
export declare const replaceFieldsValue: (fields: {
    fieldName: string;
    value?: string | null;
}[], formula: string) => string;
