/**
 * Chứa các hàm tiện ích hỗ trợ giao tiếp với API.
 * Tự động xử lý logic liên quan đến fetch, retry, timeout, hoặc các yêu cầu phức tạp.
 */
import type { Location, Params } from 'react-router';
/**
 * Get the value of a cookie
 * Source: https://vanillajstoolkit.com/helpers/getcookie/
 * @param name - The name of the cookie
 * @return The cookie value
 */
export declare function getCookie(name: string): string | undefined;
export declare function getQueryVariable(variable: string): string;
export declare function generateUUID(): string;
export declare const getRoutePath: (location: Location, params: Params) => string;
export declare const offlinePaginate: (array: any, pageIndex: number, pageSize: number) => any[];
