/**
 * Xử lý dữ liệu dạng mảng hoặc object một cách đơn giản và hiệu quả.
 * Tăng cường khả năng thao tác với danh sách dữ liệu.
 */
import { AnalyticDataProviderModel } from '../Commons/Types';
export declare function convertArrayToObject(array: any, keyName: string): any;
export declare const convertDataSetPattern: (data: AnalyticDataProviderModel[]) => {
    data: number[];
    label: string;
    type: string;
    color: string;
}[];
export declare const updateObjectFields: (originalObj: any, changedValues: any) => any;
export declare function formatChartNumber(val: any, language: string): string;
export declare const setObject: <O extends {}>(obj: O, arrKey: Array<keyof O>, value: unknown) => void;
export declare function nameExportStandard(nameFeature?: string, objectName?: string, subTitle?: string): string;
export declare const formatJSON: (val: string) => string;
