import { TranslationKeys } from './i18next';
export declare const useAppTranslation: () => {
    t: (key: TranslationKeys, options?: Record<string, any>) => string;
    tJSX: (i18nKey: TranslationKeys, values?: Record<string, any>, components?: Record<string, React.ReactElement> & {
        [key: string]: React.ReactElement;
    }) => import("react/jsx-runtime").JSX.Element;
    i18n: import("i18next").i18n;
    rest: {
        [n: number]: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>;
        0: import("i18next").TFunction<"translation", undefined>;
        1: import("i18next").i18n;
        2: boolean;
        length: 3;
        toString(): string;
        toLocaleString(): string;
        toLocaleString(locales: string | string[], options?: Intl.NumberFormatOptions & Intl.DateTimeFormatOptions): string;
        pop(): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined> | undefined;
        push(...items: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]): number;
        concat(...items: ConcatArray<boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>[]): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        concat(...items: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined> | ConcatArray<boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>)[]): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        join(separator?: string): string;
        reverse(): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        shift(): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined> | undefined;
        slice(start?: number, end?: number): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        sort(compareFn?: ((a: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, b: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>) => number) | undefined): import("react-i18next").UseTranslationResponse<"translation", undefined>;
        splice(start: number, deleteCount?: number): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        splice(start: number, deleteCount: number, ...items: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        unshift(...items: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]): number;
        indexOf(searchElement: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, fromIndex?: number): number;
        lastIndexOf(searchElement: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, fromIndex?: number): number;
        every<S extends boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => value is S, thisArg?: any): this is S[];
        every(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => unknown, thisArg?: any): boolean;
        some(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => unknown, thisArg?: any): boolean;
        forEach(callbackfn: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => void, thisArg?: any): void;
        map<U>(callbackfn: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => U, thisArg?: any): U[];
        filter<S extends boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => value is S, thisArg?: any): S[];
        filter(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => unknown, thisArg?: any): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        reduce(callbackfn: (previousValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentIndex: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>;
        reduce(callbackfn: (previousValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentIndex: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, initialValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>;
        reduce<U>(callbackfn: (previousValue: U, currentValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentIndex: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => U, initialValue: U): U;
        reduceRight(callbackfn: (previousValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentIndex: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>;
        reduceRight(callbackfn: (previousValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentIndex: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, initialValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>;
        reduceRight<U>(callbackfn: (previousValue: U, currentValue: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, currentIndex: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => U, initialValue: U): U;
        find<S extends boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, obj: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => value is S, thisArg?: any): S | undefined;
        find(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, obj: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => unknown, thisArg?: any): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined> | undefined;
        findIndex(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, obj: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => unknown, thisArg?: any): number;
        fill(value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, start?: number, end?: number): import("react-i18next").UseTranslationResponse<"translation", undefined>;
        copyWithin(target: number, start: number, end?: number): import("react-i18next").UseTranslationResponse<"translation", undefined>;
        entries(): ArrayIterator<[number, boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>]>;
        keys(): ArrayIterator<number>;
        values(): ArrayIterator<boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>;
        includes(searchElement: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, fromIndex?: number): boolean;
        flatMap<U, This = undefined>(callback: (this: This, value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => U | readonly U[], thisArg?: This | undefined): U[];
        flat<A, D extends number = 1>(this: A, depth?: D | undefined): FlatArray<A, D>[];
        at(index: number): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined> | undefined;
        findLast<S extends boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => value is S, thisArg?: any): S | undefined;
        findLast(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => unknown, thisArg?: any): boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined> | undefined;
        findLastIndex(predicate: (value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, index: number, array: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]) => unknown, thisArg?: any): number;
        toReversed(): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        toSorted(compareFn?: ((a: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>, b: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>) => number) | undefined): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        toSpliced(start: number, deleteCount: number, ...items: (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[]): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        toSpliced(start: number, deleteCount?: number): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        with(index: number, value: boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>): (boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>)[];
        [Symbol.iterator](): ArrayIterator<boolean | import("i18next").i18n | import("i18next").TFunction<"translation", undefined>>;
        [Symbol.unscopables]: {
            [x: number]: boolean | undefined;
            length?: boolean | undefined;
            toString?: boolean | undefined;
            toLocaleString?: boolean | undefined;
            pop?: boolean | undefined;
            push?: boolean | undefined;
            concat?: boolean | undefined;
            join?: boolean | undefined;
            reverse?: boolean | undefined;
            shift?: boolean | undefined;
            slice?: boolean | undefined;
            sort?: boolean | undefined;
            splice?: boolean | undefined;
            unshift?: boolean | undefined;
            indexOf?: boolean | undefined;
            lastIndexOf?: boolean | undefined;
            every?: boolean | undefined;
            some?: boolean | undefined;
            forEach?: boolean | undefined;
            map?: boolean | undefined;
            filter?: boolean | undefined;
            reduce?: boolean | undefined;
            reduceRight?: boolean | undefined;
            find?: boolean | undefined;
            findIndex?: boolean | undefined;
            fill?: boolean | undefined;
            copyWithin?: boolean | undefined;
            entries?: boolean | undefined;
            keys?: boolean | undefined;
            values?: boolean | undefined;
            includes?: boolean | undefined;
            flatMap?: boolean | undefined;
            flat?: boolean | undefined;
            at?: boolean | undefined;
            findLast?: boolean | undefined;
            findLastIndex?: boolean | undefined;
            toReversed?: boolean | undefined;
            toSorted?: boolean | undefined;
            toSpliced?: boolean | undefined;
            with?: boolean | undefined;
            [Symbol.iterator]?: boolean | undefined;
            readonly [Symbol.unscopables]?: boolean | undefined;
        };
        ready: boolean;
    };
};
